## org.apache.mahout.math.hadoop.similarity.cooccurrence
Class RowSimilarityJob.VectorNormMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.math.hadoop.similarity.cooccurrence.RowSimilarityJob.VectorNormMapper

Enclosing class:
  RowSimilarityJob

    public static class RowSimilarityJob.VectorNormMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`RowSimilarityJob.VectorNormMapper()`

Method Summary
`protected void` `cleanup(org.apache.hadoop.mapreduce.Mapper.Context ctx)`
`protected void` `map(org.apache.hadoop.io.IntWritable row, VectorWritable vectorWritable, org.apache.hadoop.mapreduce.Mapper.Context ctx)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSimilarityJob.VectorNormMapper

    public RowSimilarityJob.VectorNormMapper()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context ctx)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### map

    protected void map(org.apache.hadoop.io.IntWritable row,
                       VectorWritable vectorWritable,
                       org.apache.hadoop.mapreduce.Mapper.Context ctx)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### cleanup

    protected void cleanup(org.apache.hadoop.mapreduce.Mapper.Context ctx)
                    throws IOException,
                           InterruptedException

  Overrides:
    `cleanup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.